aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2013-08-21 00:32:34 -0700
committerGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2013-08-21 00:32:34 -0700
commitee150fc3e1379d4af5e8d5297837cd9b206444da (patch)
treeb5ad51b852d64cd0e736aebdd60783d12501eef0
parentbf91399a0db6ddb856c556f2c8e7a52f726e66c5 (diff)
Updated to libetpan 75a2e16a23c73ab0cdabb8e5b69b941ded0632f0. Fixed build with Xcode 5.
-rwxr-xr-xscripts/build-mailcore2-ios.sh9
-rwxr-xr-xscripts/prepare-ctemplate-ios.sh9
-rwxr-xr-xscripts/prepare-icu4c-ios.sh10
-rwxr-xr-xscripts/prepare-libetpan-ios.sh12
-rwxr-xr-xscripts/prepare-libetpan-macos.sh2
-rwxr-xr-xscripts/prepare-tidy-ios.sh9
6 files changed, 44 insertions, 7 deletions
diff --git a/scripts/build-mailcore2-ios.sh b/scripts/build-mailcore2-ios.sh
index 9e54dea6..a505fce0 100755
--- a/scripts/build-mailcore2-ios.sh
+++ b/scripts/build-mailcore2-ios.sh
@@ -1,6 +1,13 @@
#!/bin/sh
-sdkversion=6.1
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
url="https://github.com/MailCore/mailcore2.git"
pushd `dirname $0` > /dev/null
diff --git a/scripts/prepare-ctemplate-ios.sh b/scripts/prepare-ctemplate-ios.sh
index 50521f57..5185cb98 100755
--- a/scripts/prepare-ctemplate-ios.sh
+++ b/scripts/prepare-ctemplate-ios.sh
@@ -2,7 +2,14 @@
url="https://github.com/dinhviethoa/ctemplate"
-sdkversion="6.1"
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
pushd `dirname $0` > /dev/null
scriptpath=`pwd`
diff --git a/scripts/prepare-icu4c-ios.sh b/scripts/prepare-icu4c-ios.sh
index 854802f1..b09daff7 100755
--- a/scripts/prepare-icu4c-ios.sh
+++ b/scripts/prepare-icu4c-ios.sh
@@ -1,6 +1,14 @@
#!/bin/sh
-sdkversion=6.1
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
+
versionfolder='51.1'
version='51_1'
build_version="$version~1"
diff --git a/scripts/prepare-libetpan-ios.sh b/scripts/prepare-libetpan-ios.sh
index 4bb18ab0..26824e0e 100755
--- a/scripts/prepare-libetpan-ios.sh
+++ b/scripts/prepare-libetpan-ios.sh
@@ -1,8 +1,16 @@
#!/bin/sh
-sdkversion=6.1
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
+
url="https://github.com/dinhviethoa/libetpan.git"
-rev=2e016471cea776add8995124b0c58fa31a1c05dd
+rev=75a2e16a23c73ab0cdabb8e5b69b941ded0632f0
pushd `dirname $0` > /dev/null
scriptpath=`pwd`
diff --git a/scripts/prepare-libetpan-macos.sh b/scripts/prepare-libetpan-macos.sh
index 925bfc08..b7a1b0bc 100755
--- a/scripts/prepare-libetpan-macos.sh
+++ b/scripts/prepare-libetpan-macos.sh
@@ -1,7 +1,7 @@
#!/bin/sh
url="https://github.com/dinhviethoa/libetpan.git"
-rev=2e016471cea776add8995124b0c58fa31a1c05dd
+rev=75a2e16a23c73ab0cdabb8e5b69b941ded0632f0
pushd `dirname $0` > /dev/null
scriptpath=`pwd`
diff --git a/scripts/prepare-tidy-ios.sh b/scripts/prepare-tidy-ios.sh
index 53989950..f48f9726 100755
--- a/scripts/prepare-tidy-ios.sh
+++ b/scripts/prepare-tidy-ios.sh
@@ -1,6 +1,13 @@
#!/bin/sh
-sdkversion=6.1
+if xcodebuild -showsdks|grep iphoneos6.1 >/dev/null ; then
+ sdkversion=6.1
+elif xcodebuild -showsdks|grep iphoneos7.0 >/dev/null ; then
+ sdkversion=7.0
+else
+ echo SDK not found
+ exit 1
+fi
url="https://github.com/dinhviethoa/tidy-html5.git"
pushd `dirname $0` > /dev/null